# Class CircleRenderer

java.lang.Object
org.jmol.g3d.CircleRenderer

All Implemented Interfaces:
  `G3DRenderer`

public final class CircleRenderer extends Object implements G3DRenderer

Implements flat circle drawing/filling routines.

Author:
  Miguel, miguel@jmol.org

## Constructor Summary

Constructors
Constructor
Description
`CircleRenderer()`

## Method Summary

Modifier and Type
Method
Description
`G3DRenderer`
`set(JmolRendererInterface g3d, GData gdata)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircleRenderer

public CircleRenderer()

## Method Details

### set

public G3DRenderer set(JmolRendererInterface g3d, GData gdata)

Specified by:
  `set` in interface `G3DRenderer`